-- Correlated
SELECT
	OrderID
FROM
	tblOrders
WHERE
	EXISTS (
				SELECT
					*
				FROM
					tblPersons
				WHERE
					PersonID = tblOrders.PersonID AND
					Age BETWEEN 20 AND 25
			)

-- Noncorrelated
SELECT
	OrderID
FROM
	tblOrders
WHERE
	PersonID IN (
					SELECT
						PersonID
					FROM
						tblPersons
					WHERE
						Age BETWEEN 20 AND 25
				)









-- Plans change
SELECT
	O1.OrderID,
	O1.Freight,
	(
		SELECT
			AVG(Freight)
		FROM
			tblOrders
		WHERE
			PersonID = O1.PersonID
	) AS AvgFreight
FROM
	tblOrders O1

SELECT TOP 2
	O1.OrderID,
	O1.Freight,
	(
		SELECT
			AVG(Freight)
		FROM
			tblOrders
		WHERE
			PersonID = O1.PersonID
	) AS AvgFreight
FROM
	tblOrders O1