UPDATE tblPages SET Url = NULL



WITH TMP AS
(
	SELECT
		PageID,
		ParentID,
		Name,
		FriendlyName,
		CONVERT(varchar(1024), '/') AS Url
	FROM
		tblPages
	WHERE
		ParentID IS NULL

	UNION ALL
	
	SELECT
		P.PageID,
		P.ParentID,
		P.Name,
		P.FriendlyName,
		CONVERT(varchar(1024), TMP.Url + P.FriendlyName + '/') AS Url
	FROM
		tblPages P
	INNER JOIN
		TMP ON TMP.PageID = P.ParentID
)
SELECT
	*
FROM
	TMP




UPDATE
	tblPages
SET
	tblPages.Url = TMP.Url
FROM
	TMP
WHERE
	tblPages.PageID = TMP.PageID