﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Transactions;

namespace Many_Commits
{
	class Program
	{
		static void Main(string[] args)
		{
			using(var ts = new TransactionScope())
			using (var conn = new SqlConnection("Data Source=.;Initial Catalog=Test;User Id=sa;Password=sa"))
			{
				conn.Open();

				for (int i = 1; i <= 10000; i++)
				{
					SqlCommand cmd = new SqlCommand("INSERT INTO tblWriteLogTest (Value) VALUES (@Value)", conn);
					cmd.Parameters.Add("@Value", SqlDbType.VarChar, 128).Value = Guid.NewGuid().ToString();
					cmd.ExecuteNonQuery();

					if (i % 100 == 0)
						Console.WriteLine(i);
				}

				ts.Complete();
			}

			Console.Write("Done");
			Console.Read();
		}
	}
}