USE Test
GO

-- Query begrnsninger
CREATE NONCLUSTERED INDEX NC_Name ON tblPersons (Name ASC)

SELECT * FROM tblPersons
SELECT * FROM tblPersons WHERE Name = 'Jerry Davila'
SELECT * FROM tblPersons WHERE Name LIKE 'Jerry%'
SELECT * FROM tblPersons WHERE Name LIKE 'J%'
SELECT * FROM tblPersons WHERE Name LIKE '%J'


-- Column order
SET STATISTICS IO ON
SELECT * FROM tblPersons ORDER BY Age

CREATE NONCLUSTERED INDEX NC_Age_Height ON tblPersons (Age ASC, Height ASC)

SELECT * FROM tblPersons ORDER BY Age
SELECT * FROM tblPersons WITH (INDEX=NC_Age_Height) ORDER BY Age

SELECT Age, Height FROM tblPersons ORDER BY Age, Height
SELECT Age, Height FROM tblPersons ORDER BY Height, Age